Bug 1418734 - Update p11-kit to support the new nss-mozilla-ca-policy attribute
Summary: Update p11-kit to support the new nss-mozilla-ca-policy attribute
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: p11-kit
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stef Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1400293 1418739
TreeView+ depends on / blocked
 
Reported: 2017-02-02 15:22 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2017-02-23 18:30 UTC (History)
5 users (show)

Fixed In Version: p11-kit-0.23.4-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-23 18:30:37 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 99453 None None None 2017-02-02 15:22:20 UTC

Description Kai Engert (:kaie) (inactive account) 2017-02-02 15:22:21 UTC
An enhancement is required to fix bug 1400293.

Firefox must be able to distinguish between Mozilla-CA roots and other locally installed roots.

The necessary enhancement to p11-kit has been suggested upstream at
https://bugs.freedesktop.org/show_bug.cgi?id=99453

This bug requests to pick up this change in Fedora, after the changes have been added to upstream NSS and p11-kit projects.

Comment 1 Stef Walter 2017-02-06 10:01:45 UTC
https://github.com/p11-glue/p11-kit/pull/46

Comment 2 Kai Engert (:kaie) (inactive account) 2017-02-23 18:30:37 UTC
Fixed in p11-kit 0.23.4


Note You need to log in before you can comment on or make changes to this bug.